# manifest

open fun manifest(@DelegatesTo(value = Manifest::class) configureClosure: Closure<out Any>): Jar

Configures the manifest for this JAR archive.

The given closure is executed to configure the manifest. The org.gradle.api.java.archives.Manifest is passed to the closure as its delegate.

#### Return

This.

#### Parameters

configureClosure

The closure.

open fun manifest(configureAction: Action<in Manifest>): Jar

Configures the manifest for this JAR archive.

The given action is executed to configure the manifest.

#### Return

This.

#### Since

3.5

#### Parameters

configureAction

The action.

@get:Internal
open var manifest: Manifest